> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Write-off the Pledge

PUT https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/write-off-the-pledge

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `pledgeId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `reason` (string, optional)

## Response

### 200

OK

- `id` (string, optional)
- `contactId` (string, optional)
- `amountPledged` (string, optional)
- `frequency` (string, optional)
- `pledgeDate` (string, optional)
- `expectedFulfillmentDate` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `isPrivate` (string, optional)
- `status` (string, optional)
- `payments` (list of ApiV2PledgeWriteOffPledgeIdPutResponsesContentApplicationJsonSchemaPaymentsItems, optional)
- `customFields` (list of ApiV2PledgeWriteOffPledgeIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiV2PledgeWriteOffPledgeIdPutResponsesContentApplicationJsonSchemaPaymentsItems

- `id` (string, optional)
- `expectedPaymentDate` (string, optional)
- `expectedAmount` (string, optional)
- `giftId` (string, optional)
- `actualAmount` (string, optional)

### ApiV2PledgeWriteOffPledgeIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Request**

```json
{
  "reason": "<string:required:maxLength=100>"
}
```

**Response**

```json
{
  "id": "<integer>",
  "contactId": "<integer>",
  "amountPledged": "<double>",
  "frequency": "<string>",
  "pledgeDate": "<dateTime>",
  "expectedFulfillmentDate": "<dateTime>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "isPrivate": "<boolean>",
  "status": "<string>",
  "payments": [
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    },
    {
      "id": "<integer>",
      "expectedPaymentDate": "<dateTime>",
      "expectedAmount": "<double>",
      "giftId": "<integer>",
      "actualAmount": "<double>"
    }
  ],
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_writeOffThePledge_example
import requests

url = "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId"

payload = { "reason": "<string:required:maxLength=100>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Giving_writeOffThePledge_example
const url = 'https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"reason":"<string:required:maxLength=100>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_writeOffThePledge_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId"

	payload := strings.NewReader("{\n  \"reason\": \"<string:required:maxLength=100>\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_writeOffThePledge_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reason\": \"<string:required:maxLength=100>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Giving_writeOffThePledge_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"reason\": \"<string:required:maxLength=100>\"\n}")
  .asString();
```

```php Giving_writeOffThePledge_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId', [
  'body' => '{
  "reason": "<string:required:maxLength=100>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Giving_writeOffThePledge_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reason\": \"<string:required:maxLength=100>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Giving_writeOffThePledge_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["reason": "<string:required:maxLength=100>"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/pledgeId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```